/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { Oas20Operation, Oas20Parameter, Oas20PathItem, Oas30Operation, Oas30Parameter, Oas30PathItem, OasPathItem, OasParameter } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { DocumentService } from "../../../_services/document.service";
import { AbstractBaseComponent } from "../../common/base-component";
import { SelectionService } from "../../../_services/selection.service";
export declare class PathParamsSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    parent: Oas20Operation | Oas30Operation | Oas20PathItem | Oas30PathItem;
    path: OasPathItem;
    private _pathParameters;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    protected onDocumentChange(): void;
    ngOnChanges(changes: SimpleChanges): void;
    canHavePathParams(): boolean;
    isPathItem(): boolean;
    contextHelp(): string;
    pathParameters(): (Oas30Parameter | Oas20Parameter)[];
    pathParameterPaths(): string[];
    pathParam(paramName: string): Oas30Parameter | Oas20Parameter;
    deleteParam(parameter: Oas30Parameter): void;
    createPathParam(paramName: string): void;
    getOverriddenParam(param: OasParameter): OasParameter;
}
